Eclipse is an Interactive Development Environment(IDE) which has plug ins for many languages. It is written in Java. As an IDE questions are more likely to be on topic on Stack Overflow.

learn more… | top users | synonyms

5
votes
1answer
3k views

Will Eclipse + Android Developer Tools plugin work on OS X Yosemite?

I would like to update my system to the newest 10.10 Yosemite version, but I use quite intensively Eclipse + ADT to develop apps for Android. Does anyone have any experience with running this software ...
3
votes
4answers
299 views

Do I really need to replace my MacBook Pro?

I have an early 2011 (8.2) MBP (i7@2.0Ghz) which I've upgraded to 16Gig memory and 512 Gig SSD. I am a heavy CPU and IO user: vagrant, Vmware Fusion, external display, Office, various IDE's (Xcode, ...
3
votes
1answer
87 views

How to Open .dist extension as folder on Mac OS X?

I'am currently developing Java application with Eclipse IDE and having this folder named "workspace.dist". This contains the deployed portlet to be deployed to a framework. Now my problem is, Mac OS ...
3
votes
1answer
1k views

How to launch apps that require Java on Mountain Lion with only Java 7 installed?

Just got a brand new MacBook Air which shipped with Mountain Lion 10.8.4 and no Java installed. There is a /usr/bin/java, but running it would prompt me to install an Apple-distributed Java 6 runtime ...
2
votes
2answers
101 views

Fix 'Home' and 'End' keys on non-Cocoa applications

Found that it's a common problem that the 'Home' and 'End' keys don't function as-expected on MacOS. Found this fix, posted on LifeHacker: ...
1
vote
1answer
2k views

Cannot get Python perspective with Eclipse IDE

I installed PyDev for Eclipse, but after doing so, I do not see PyDev in the list of perspectives. If I try to reinstall, it says it is already installed. Running Mac OSX 10.8.5 (Mountain Lion) and ...
1
vote
1answer
193 views

Unable to install Eclipse for all users

I would like to set up Eclipse to run for all users of a Mac running OS X 10.9.4 (Mavericks). I logged in to the administrator account (User) and did the following: I installed the latest version ...
1
vote
2answers
2k views

Running Eclipse Luna using Oracle Java 8 on Mavericks

I am trying to run Eclipse Luna using Oracle Java JRE 1.8.0_11 on Mac OS X 10.9.4. I have added the following line to my eclipse.ini file: -vm /Library/Internet ...
1
vote
0answers
958 views

Eclipse quit unexpectedly

I have a iMac 27 inch which I bought months ago. Whenever I try to open eclipse on the iMac it comes with a message that says: Eclipse quit unexpectedly. Click Reopen to open the application ...
0
votes
2answers
2k views

How to enable Eclipse on OS X Yosemite?

I've just upgraded to Yosemite. I'm trying to run the latest version of Eclipse but I get an error saying that Eclipse cannot run on Java 6. Running java --version on Terminal gives me Java 8. Why is ...
0
votes
3answers
119 views

Shortcut to Eclipse in /Applications

I just downloaded Eclipse for OS X. I managed to run it, but I want to put it directly in /Applications: I don't want to place the eclipse folder, which has inside it the Eclipse.app, inside ...
0
votes
1answer
1k views

Unable to exit full screen mode in Eclipse

I just installed Eclipse and went into the full screen mode but, unlike with other apps, the top bar wouldn't appear when I positioned the cursor at the top of the screen, so I was stuck in full ...
0
votes
1answer
42 views

Alternate development environments to Xcode?

Are there any alternative Intergrated Development Environments (IDE) for Objective-C instead of Xcode? If so, are there any plug-ins for Eclipse for developing in Objective-C?
0
votes
2answers
134 views

eclipse running on mac 32bit

i am currently using mac 32 bit.I am unable to open eclipse an error pop up saying that i need to update my JVM from 1.6 to 1.7 and from the java website there are no ver 1.7 for mac 32bit. what am i ...
0
votes
1answer
151 views

Fresh install of Eclipse on 10.9.2 cannot access com.apple.eawt package contents

I just got a Mac so I am a total newbie (I picked one up because I was unable to successfully do Mac development on my Windows Machine). The machine I have is at OS 10.9.2 and I installed Eclipse ...
0
votes
1answer
133 views

Speech Commands with Eclipse

I'm running Mac OS X 10.7.5 on my MacBook Pro and love the Voice Commands / Speakable Items feature. I also have a lot of custom commands that I use by writing applescripts and putting them in either ...
0
votes
0answers
3 views

Gatekeeper Issues with Eclipse (running CloverETL) after Installing Mac OS X Yosemite [duplicate]

Right after upgrading my Mac to OS X Yosemite, I'm having trouble using the program CloverETL (which runs off of Eclipse 4.3). After I start the Eclipse platform, I am receiving a Gatekeeper error ...
0
votes
0answers
81 views

Any Integrated Eclipse- LUNA available for Mac-Mavericks - supports C,C++, Java and Android

I have installed Eclipse bundle - ADT - Luna on my macbook - running Mavericks. I could do a programming in Android - ADT and Java programming seamlessly. However, I want to create a project of C/C++ ...
0
votes
1answer
84 views

Bind Ctrl+C to Copy function for eclipse on mac os x doesn't work

I'm just moving my coding work from Windows to mac os x. It's really difficult to get used to the ctrl and command key behavior at beginning. Then I tried bind ctrl + C to Copy function instead of ...
0
votes
0answers
136 views

Java hell, Incompatible with Mavaricks using Eclipse.

I have not been able to open Eclipse since upgrading to Mavaricks. I get the error message upon attempting to open the program as follows: "Version 1.6.0_65 of the JVM is not suitable for this ...
0
votes
0answers
332 views

Eclipse not starting on OS X 10.9.4

I am having troubles to start Eclipse on my Mac. I have been using Eclipse for a long time and it has been working but know, it doesn't start properly. I guess that's because I updated the OS of my ...
0
votes
1answer
380 views

Upgrade JRE in Mavericks [duplicate]

Am trying to run eclipse in maverick but a dialog box says that version 1.7.0 or later is needed to run Google plugin for Eclipse. My mac has version 1.6.0 when I run java -version from the command ...
0
votes
3answers
452 views

eclipse wrong VM related to java 1.7

So I have been searching for hours on this. So I installed java 1.7 on my mac before I realized I wanted/needed to use 1.6. I have managed to change everything so that the command line sees version ...
0
votes
0answers
22 views

Is 13 inch MacBook Pro enough with Eclipse? [duplicate]

I'm a Java developer and want to buy a new 2013 Retina MacBook Pro. I'm interested in the 13 inch for portability but I'm worried it has too small display to effectively code using Eclipse. Has ...